summaryrefslogtreecommitdiffstats
path: root/meta
diff options
context:
space:
mode:
authortv <tv@xso>2011-09-06 21:53:00 +0200
committertv <tv@xso>2011-09-06 21:53:00 +0200
commitaf58ce04faac0e73806e7a5ad9a2ad5262b459dd (patch)
treebfa047f5ab3a17938761016eaa96f9e0b98e51b8 /meta
parent27d6e714d7a9c5f36d36d113e80e5924758bd855 (diff)
//meta/install: initial commit
Diffstat (limited to 'meta')
-rwxr-xr-xmeta/install26
1 files changed, 26 insertions, 0 deletions
diff --git a/meta/install b/meta/install
new file mode 100755
index 00000000..db4412fe
--- /dev/null
+++ b/meta/install
@@ -0,0 +1,26 @@
+#! /bin/sh
+set -euf
+
+cd $(dirname $(readlink -f $0))
+
+id=`ls -lnd . | awk '{print$3}'`
+update=$PWD/bin/update
+
+echo "#"
+echo "# to install metastatic automatization facility do following:"
+echo "#"
+echo
+echo " sudo ln -vsn $update /update"
+echo
+echo "#"
+
+if test -e /update; then
+ echo "# but beware: you already have an /update like this:"
+ ls -l /update
+fi
+
+if test `id -u` != $id; then
+ echo "# and remember to allow yourself to sudo -u $id /update"
+fi
+
+echo "#^D"